aboutsummaryrefslogtreecommitdiff
path: root/media/libs/libdvdcss/libdvdcss.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'media/libs/libdvdcss/libdvdcss.SlackBuild')
-rwxr-xr-xmedia/libs/libdvdcss/libdvdcss.SlackBuild42
1 files changed, 22 insertions, 20 deletions
diff --git a/media/libs/libdvdcss/libdvdcss.SlackBuild b/media/libs/libdvdcss/libdvdcss.SlackBuild
index eec58eae..6de4ec7f 100755
--- a/media/libs/libdvdcss/libdvdcss.SlackBuild
+++ b/media/libs/libdvdcss/libdvdcss.SlackBuild
@@ -1,21 +1,22 @@
#!/bin/bash
#
-# libdvdcss.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libdvdcss.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# libdvdcss.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libdvdcss.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild for libdvdcss
-# http://download.videolan.org/pub/libdvdcss/1.2.9/
-#
-# Author: Rudson R. Alves
+# slackbuild for libdvdcss, by Rudson R. Alves
+# requires: Null
+# tested: libdvdcss-1.2.9
#
# Look for slackbuildrc
@@ -29,7 +30,7 @@ fi
CWD="$(pwd)"
SRC_NAME="libdvdcss"
PKG_NAME="libdvdcss"
-ARCH=${ARCH:=i468}
+ARCH=${ARCH:=i486}
SRC_VERSION=${VERSION:=1.2.9}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
@@ -40,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -74,23 +75,25 @@ mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$SRC_VERSION.tar.bz2"
+SRC="$SRC_NAME-$VERSION.tar.bz2"
URL="http://download.videolan.org/pub/libdvdcss/1.2.9/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# Untar
+
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+for i in `grep -r 'é' * | cut -f1 -d:`; do sed 's/é/e/g' $i > $i.out; mv $i.out $i; done
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -107,7 +110,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
)
# Install documentation
-DOCS="NEWS README AUTHORS INSTALL ChangeLog COPYING"
+DOCS="AUTHORS ChangeLog README COPYING INSTALL NEWS"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
@@ -121,12 +124,12 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler---------------------------------------------------|
+ |-----handy-ruler----------------------------------------------------|
libdvdcss: Libdvdcss.SlackBuild by Rudson R. Alves
libdvdcss:
libdvdcss: libdvdcss is part of the VideoLAN project, a full MPEG2 client/
-libdvdcss: server solution. The VideoLAN Client can also be used as a
-libdvdcss: standalone program to play MPEG2 streams from a hard disk or a
+libdvdcss: server solution. The VideoLAN Client can also be used as a
+libdvdcss: standalone program to play MPEG2 streams from a hard disk or a
libdvdcss: DVD.
libdvdcss:
libdvdcss:
@@ -142,4 +145,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-